libzypp 17.37.10

zypp::MyInserter Struct Reference

## Public Member Functions
| MyInserter (PoolQuery::StrContainer &cont)
bool | operator() (const std::string &str)

## Public Attributes
PoolQuery::StrContainer & | _cont

## Detailed Description

Definition at line 542 of file PoolQuery.cc.

## Constructor & Destructor Documentation

## ◆ MyInserter()

zypp::MyInserter::MyInserter | ( | PoolQuery::StrContainer & | cont | ) |
| inline

Definition at line 544 of file PoolQuery.cc.

## Member Function Documentation

## ◆ operator()()

bool zypp::MyInserter::operator() | ( | const std::string & | str | ) |
| inline

Definition at line 546 of file PoolQuery.cc.

## Member Data Documentation

## ◆ _cont

PoolQuery::StrContainer& zypp::MyInserter::_cont

Definition at line 552 of file PoolQuery.cc.

The documentation for this struct was generated from the following file:

- zypp/PoolQuery.cc